package com.platform.yijia.service.impl;

import com.platform.yijia.dao.CustomerGradeMapper;
import com.platform.yijia.service.CustomerGradeServices;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service("customerGradeServices")
public class CustomerGradeServiceImpl implements CustomerGradeServices {

    @Resource
    private CustomerGradeMapper customerGradeMapper;

    //查询直降
    @Override
    public List<Map> getCustomerGradeList() {
        return customerGradeMapper.getCustomerGradeList();
    }

    //营销立减
    @Override
    public List<Map> getMarkertPlanListByDiscountPlanType() {
        return customerGradeMapper.getMarkertPlanListByDiscountPlanType();
    }
}
